Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.rulesys
Class RDFSFBRuleReasoner

    java.lang.Object
      com.hp.hpl.jena.reasoner.rulesys.FBRuleReasoner
          com.hp.hpl.jena.reasoner.rulesys.RDFSFBRuleReasoner

All Implemented Interfaces:
  Reasoner, RuleReasoner

    public class RDFSFBRuleReasoner

extends FBRuleReasoner

A backward chaining implementation of the RDFS closure rules based upon the basic backward rule interpreter.

Version:
  $Revision: 1.10 $ on $Date: 2008/01/02 12:07:47 $
Author:
  Dave Reynolds

Field Summary
`static java.lang.String` | `RULE_FILE` The location of the OWL rule definitions on the class path

Constructor Summary
`RDFSFBRuleReasoner(ReasonerFactory parent)` Constructor

Method Summary
`Capabilities` | `getGraphCapabilities()` Return the Jena Graph Capabilties that the inference graphs generated by this reasoner are expected to conform to.
`static java.util.List` | `loadRules()` Return the RDFS rule set, loading it in if necessary

Methods inherited from class com.hp.hpl.jena.reasoner.rulesys.FBRuleReasoner
`addDescription, addRules, bind, bindSchema, bindSchema, getBoundSchema, getReasonerCapabilities, getRules, isTraceOn, loadRules, setDerivationLogging, setParameter, setRules, setTraceOn, supportsProperty, tablePredicate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RULE_FILE

    public static final java.lang.String RULE_FILE

  The location of the OWL rule definitions on the class path

  See Also:
    Constant Field Values

Constructor Detail

### RDFSFBRuleReasoner

    public RDFSFBRuleReasoner(ReasonerFactory parent)

  Constructor

Method Detail

### loadRules

    public static java.util.List loadRules()

  Return the RDFS rule set, loading it in if necessary

### getGraphCapabilities

    public Capabilities getGraphCapabilities()

  Return the Jena Graph Capabilties that the inference graphs generated by this reasoner are expected to conform to.

  Specified by:
    `getGraphCapabilities` in interface `Reasoner`
  Overrides:
    `getGraphCapabilities` in class `FBRuleReasoner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP